'use client';
import { IBreadcrumbItem, pageStore } from '@/shared/store/pageStore';
import FaqContent from '@/widgets/faq/ui';
import React, { useEffect } from 'react';

const FAQ = () => {
  const breadcrumsItem: IBreadcrumbItem[] = [
    {
      label: 'Главная',
      href: '/',
    },
    {
      label: 'Вопросы и ответы',
      href: '/faq',
    },
  ];

  const { onChangePage } = pageStore((state) => state);

  useEffect(() => {
    onChangePage({
      title: 'Вопросы и ответы',
      breadcrumbs: breadcrumsItem,
    });
  }, []);
  return (
    <div>
      <FaqContent />
    </div>
  );
};

export default FAQ;
